/* linux/include/asm-arm/arch-bast/cpld.h
 *
 * (c) 2003 Simtec Electronics
 *  Ben Dooks <ben@simtec.co.uk>
 *
 * BAST - CPLD control constants
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * Changelog:
 *  25-May-2003 BJD  Created file, added CTRL1 registers
 *  11-Nov-2003 BJD  Updated with CTRL2, 3 and 5
 *  16-Mar-2004 BJD  Added VR1000 CTRL2 definitions for RAM WP
*/

#define BAST_CPLD_CTRL1_LRCOFF      (0x00)
#define BAST_CPLD_CTRL1_LRCADC      (0x01)
#define BAST_CPLD_CTRL1_LRCDAC      (0x02)
#define BAST_CPLD_CTRL1_LRCARM      (0x03)
#define BAST_CPLD_CTRL1_LRMASK      (0x03)

#define BAST_CPLD_CTRL2_WNAND       (0x04)
#define BAST_CPLD_CTLR2_IDERST      (0x08)

/* VR1000 redefines the NAND WP to use for the onboard RAM */
#define VR1000_CPLD_CTRL2_RAMWEN    (0x04)

#define BAST_CPLD_CTRL3_IDMASK      (0x0e)
#define BAST_CPLD_CTRL3_ROMWEN      (0x01)

/* CTRL5 - DMA routing */

#define BAST_CPLD_DMA0_PRIIDE      (0<<0)
#define BAST_CPLD_DMA0_SECIDE      (1<<0)
#define BAST_CPLD_DMA0_ISA15       (2<<0)
#define BAST_CPLD_DMA0_ISA36       (3<<0)

#define BAST_CPLD_DMA1_PRIIDE      (0<<2)
#define BAST_CPLD_DMA1_SECIDE      (1<<2)
#define BAST_CPLD_DMA1_ISA15       (2<<2)
#define BAST_CPLD_DMA1_ISA36       (3<<2)
