/* core/system/cpu/s3c2410x/nand.h
 *
 * (c) 2003 Simtec Electronics
 *
 * Samsung S3C2410X nand-flash controller definitions
 *
 * Ben Dooks
 */

#ifndef __INCLUDE_ASM_ARCHS3C2410_NAND_H
#define __INCLUDE_ASM_ARCHS3C2410_NAND_H "$Id: nand.h,v 1.3 2003/12/09 11:36:29 ben Exp $"


#define S3C2410_NFREG(x) (x)

#define S3C2410_NFCONF                     S3C2410_NFREG(0x00)

#define S3C2410_NFCONF_EN                  (1<<15)
#define S3C2410_NFCONF_512BYTE             (1<<14)
#define S3C2410_NFCONF_4STEP               (1<<13)
#define S3C2410_NFCONF_INITECC             (1<<12)
#define S3C2410_NFCONF_nFCE                (1<<11)
#define S3C2410_NFCONF_TACLS(x)            ((x)<<8)
#define S3C2410_NFCONF_TWRPH0(x)           ((x)<<4)
#define S3C2410_NFCONF_TWRPH1(x)           ((x)<<0)

/* CMD, ADDR and DATA are all byte */

#define S3C2410_NFCMD                      S3C2410_NFREG(0x04)
#define S3C2410_NFADDR                     S3C2410_NFREG(0x08)
#define S3C2410_NFDATA                     S3C2410_NFREG(0x0C)
#define S3C2410_NFSTAT                     S3C2410_NFREG(0x10)

#define S3C2410_NFSTAT_BUSY                (1<<0)

/* think ECC can only be 8bit read? */
#define S3C2410_NFECC     S3C2410_NFREG(0x14)

#endif /* __CORE_SYSTEM_S3C2410_NAND_H */

